Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
probes_helper.h File Reference
`#include "ruby/ruby.h"`
`#include "probes.h"`
Include dependency graph for probes_helper.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | RUBY_DTRACE_HOOK(name, th, klazz, id)
#define | RUBY_DTRACE_METHOD_ENTRY_HOOK(th, klass, id) RUBY_DTRACE_HOOK(METHOD_ENTRY, th, klass, id)
#define | RUBY_DTRACE_METHOD_RETURN_HOOK(th, klass, id) RUBY_DTRACE_HOOK(METHOD_RETURN, th, klass, id)
#define | RUBY_DTRACE_CMETHOD_ENTRY_HOOK(th, klass, id) RUBY_DTRACE_HOOK(CMETHOD_ENTRY, th, klass, id)
#define | RUBY_DTRACE_CMETHOD_RETURN_HOOK(th, klass, id) RUBY_DTRACE_HOOK(CMETHOD_RETURN, th, klass, id)

## Functions
VALUE | rb_class_path_no_cache (VALUE _klass)

## Macro Definition Documentation

#define RUBY_DTRACE_CMETHOD_ENTRY_HOOK | ( |  | th,
|  |  | klass,
|  |  | id
| ) |  | RUBY_DTRACE_HOOK(CMETHOD_ENTRY, th, klass, id)

Definition at line 61 of file probes_helper.h.

Referenced by vm_call0_cfunc_with_frame(), and vm_call_cfunc_with_frame().

#define RUBY_DTRACE_CMETHOD_RETURN_HOOK | ( |  | th,
|  |  | klass,
|  |  | id
| ) |  | RUBY_DTRACE_HOOK(CMETHOD_RETURN, th, klass, id)

Definition at line 64 of file probes_helper.h.

Referenced by rb_iterate(), vm_call0_cfunc_with_frame(), and vm_call_cfunc_with_frame().

#define RUBY_DTRACE_HOOK | ( |  | name,
|  |  | th,
|  |  | klazz,
|  |  | id
| ) |  |

Definition at line 9 of file probes_helper.h.

#define RUBY_DTRACE_METHOD_ENTRY_HOOK | ( |  | th,
|  |  | klass,
|  |  | id
| ) |  | RUBY_DTRACE_HOOK(METHOD_ENTRY, th, klass, id)

Definition at line 55 of file probes_helper.h.

Referenced by vm_call_bmethod_body().

#define RUBY_DTRACE_METHOD_RETURN_HOOK | ( |  | th,
|  |  | klass,
|  |  | id
| ) |  | RUBY_DTRACE_HOOK(METHOD_RETURN, th, klass, id)

Definition at line 58 of file probes_helper.h.

Referenced by vm_call_bmethod_body(), and vm_exec().

## Function Documentation

VALUE rb_class_path_no_cache | ( | VALUE | _klass | ) |

Definition at line 276 of file variable.c.

References NIL_P(), null_cache(), path, rb_str_dup(), and rb_tmp_class_path().